Get average time metrics for user chat handling
POST
/openapi/reporting/userchatsaveragetimeinfo
const url = 'https://open-api.replyco.com/openapi/reporting/userchatsaveragetimeinfo';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'}, body: '{ "timezoneOffset": 1, "from": "2026-04-15T12:00:00Z", "to": "2026-04-15T12:00:00Z", "accountIds": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "marketplaces": [ "0 - PlaceholderDoNotUse" ], "ignoreBlockedCustomers": true, "ignoreInActiveTickets": true, "useWorkingHours": true, "userIds": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ] }'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://open-api.replyco.com/openapi/reporting/userchatsaveragetimeinfo \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json-patch+json' \ --data '{ "timezoneOffset": 1, "from": "2026-04-15T12:00:00Z", "to": "2026-04-15T12:00:00Z", "accountIds": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "marketplaces": [ "0 - PlaceholderDoNotUse" ], "ignoreBlockedCustomers": true, "ignoreInActiveTickets": true, "useWorkingHours": true, "userIds": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ] }'Returns time-based performance metrics for live chat agents.
Time metrics:
- Average first response time
- Average chat resolution time
- Average time per message
- Wait time statistics
- Session duration
Use cases:
- SLA monitoring for live chat
- Agent efficiency tracking
- Customer experience optimization
- Performance benchmarking
Authorizations
Section titled “Authorizations”Request Body
Section titled “Request Body”Instant messages filter with user parameters
object
timezoneOffset
integer format: int32
from
string format: date-time
to
string format: date-time
accountIds
Array<string>
marketplaces
Array<integer>
ignoreBlockedCustomers
boolean
ignoreInActiveTickets
boolean
useWorkingHours
boolean
userIds
Array<string>
object
timezoneOffset
integer format: int32
from
string format: date-time
to
string format: date-time
accountIds
Array<string>
marketplaces
Array<integer>
ignoreBlockedCustomers
boolean
ignoreInActiveTickets
boolean
useWorkingHours
boolean
userIds
Array<string>
object
timezoneOffset
integer format: int32
from
string format: date-time
to
string format: date-time
accountIds
Array<string>
marketplaces
Array<integer>
ignoreBlockedCustomers
boolean
ignoreInActiveTickets
boolean
useWorkingHours
boolean
userIds
Array<string>
object
timezoneOffset
integer format: int32
from
string format: date-time
to
string format: date-time
accountIds
Array<string>
marketplaces
Array<integer>
ignoreBlockedCustomers
boolean
ignoreInActiveTickets
boolean
useWorkingHours
boolean
userIds
Array<string>
Responses
Section titled “Responses”Returns chat average time info
Invalid filter parameters
User is not authenticated or authorized